Download it now!
Bug 125677 - Radio button selection changed when tabbing into the group.
Summary: Radio button selection changed when tabbing into the group.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Request:WindowsTester
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-ViewToDevice-Refactor 125609
  Show dependency treegraph
 
Reported: 2019-06-04 09:48 UTC by Justin L
Modified: 2019-10-30 14:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2019-06-04 09:48:08 UTC
Starting in LO 6.3, tabbing into a radio-button group changes the selection to a different button, instead of simply changing the focus to the already-selected button in the group.

Bisected to this change in LO 6.3:
author	Armin Le Grand 2018-11-27 11:33:10 +0100
commit	d464d505fbf6e53a38afdd3661d320fac8c760d6 
Refactor calc non-linear ViewToDevice transform

Steps to reproduce using attachment 151805 [details] (from bug 125609)
1.) Notice that radio button 1 is selected. Click on radio button 1 to give it the focus.
2.) Press tab - which takes you to the listbox.
3.) Press tab again. Instead of taking you back to radio button 1, it takes you to radio-button 2 and selects it instead of radio button 1.
Comment 1 Justin L 2019-06-04 09:54:56 UTC
(In reply to Justin L from comment #0)
> Steps to reproduce using attachment 151805 [details] (from bug 125609)
I forgot to remark that the macros can remain disabled. There is no need to allow the macros the run in order to reproduce the problem.

Note that step 1 is important.  If you start on the listbox instead of radio1, then you have the problem in bug 125609.
Comment 2 Xisco Faulí 2019-06-04 10:02:03 UTC
Reproduced in

Version: 6.3.0.0.beta1+
Build ID: 4abdaf4afb2245d404f6709124b3c627b07b8a3c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Adding Cc: to Armin Le Grand
Comment 3 Xisco Faulí 2019-10-30 14:29:41 UTC
This issue is no longer reproducible in

Versión: 6.3.3.1 (x86)
Id. de compilación: f41f4c7f9507aeca13cb9df51f34d80e8ba30a99
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

nor in

Version: 6.3.3.0.0+
Build ID: a955330e052cc12c622982f38c5f5d138484013a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=5cf057c3365a0feafc8f2e4f4a9e24d69a581999
Comment 4 Xisco Faulí 2019-10-30 14:45:59 UTC
OTOH, even without https://cgit.freedesktop.org/libreoffice/core/commit/?id=5cf057c3365a0feafc8f2e4f4a9e24d69a581999
, the issue would also be fixed by https://gerrit.libreoffice.org/#/c/81756/, if finally it's submitted